BEEM - Android XMPP - Bug #353
changestatus causes segfault
Description

When | try to change status either with the button in the menu or with the notification area | get this segfault and the program

crashes.

04-20 19:49:11.021: INFO/ActivityManager(33): Starting activity: Intent { cmp=com.beem.project.beem/.ui.ChangeStatus
bnds=[0,152][480,248] }
04-20 19:49:11.041: WARN/ActivityManager(33): startActivity called from non-Activity context; forcing
Intent.FLAG_ACTIVITY_NEW_TASK for: Intent { cmp=com.beem.project.beem/.ui.ChangeStatus bnds=[0,152][480,248] }
DEBUG/BeemService(252): ONUNBIND

DEBUG/AndroidRuntime(252): Shutting down VM

WARN/dalvikvm(252): threadid=3: thread exiting with uncaught exception (group=0x4001b188)
ERROR/AndroidRuntime(252): Uncaught handler: thread main exiting due to uncaught exception
ERROR/AndroidRuntime(252): java.lang.Error: Unresolved compilation problems:

04-20 19:49:11.301:
04-20 19:49:11.481:
04-20 19:49:11.501:
04-20 19:49:11.521:
04-20 19:49:11.571:
04-20 19:49:11.571:
04-20 19:49:11.571:
04-20 19:49:11.571:

ERROR/AndroidRuntime(252
ERROR/AndroidRuntime(252

):
ERROR/AndroidRuntime(252):
):
):

avatarButton cannot be resolved or is not a field
avatar_panel cannot be resolved or is not a field
at

com.beem.project.beem.ui.ChangeStatus.onCreate(ChangeStatus.java:170)

04-20 19:49:11.571: ERROR/AndroidRuntime(252):

at

android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1047)

04-20 19:49:11.571: ERROR/AndroidRuntime(252):

at

android.app.ActivityThread.performLaunchActivity (Activity Thread.java:2459)

04-20 19:49:11.571:
04-20 19:49:11.571:
04-20 19:49:11.571:
04-20 19:49:11.571:
04-20 19:49:11.571:
04-20 19:49:11.571:
04-20 19:49:11.571:
04-20 19:49:11.571:
04-20 19:49:11.571:

ERROR/AndroidRuntime(252):
ERROR/AndroidRuntime(252):
ERROR/AndroidRuntime(252):
ERROR/AndroidRuntime(252):
ERROR/AndroidRuntime(252):
ERROR/AndroidRuntime(252):
ERROR/AndroidRuntime(252):
ERROR/AndroidRuntime(252):
ERROR/AndroidRuntime(252):

at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:2512)
at android.app.ActivityThread.access$2200(ActivityThread.java:119)

at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1863)

at android.os.Handler.dispatchMessage(Handler.java:99)

at android.os.Looper.loop(Looper.java:123)

at android.app.ActivityThread.main(ActivityThread.java:4363)

at java.lang.reflect.Method.invokeNative(Native Method)

at java.lang.reflect.Method.invoke(Method.java:521)

at

com.android.internal.os.Zygotelnit$MethodAndArgsCaller.run(Zygotelnit.java:860)

04-20 19:49:11.571:
04-20 19:49:11.571:
04-20 19:49:11.712:
04-20 19:49:11.721:
04-20 19:49:11.820:
04-20 19:49:14.151:
04-20 19:49:14.251:

ERROR/AndroidRuntime(252):
ERROR/AndroidRuntime(252):

at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:618)
at dalvik.system.NativeStart.main(Native Method)

INFO/Process(33): Sending signal. PID: 252 SIG: 3

INFO/dalvikvm(252): threadid=7: reacting to signal 3

INFO/dalvikvm(252): Wrote stack trace to '/data/anr/traces.ixt’
INFO/Process(252): Sending signal. PID: 252 SIG: 9
INFO/ActivityManager(33): Process com.beem.project.beem (pid 252) has died.

History

#1 - 04/20/2011 10:17 PM - Frédéric Barthéléry

- Status changed from New to Assigned

- Assignee set to Frédéric Barthéléry

It seems your apk is not build correctly. | think your gen/com/beem/project/beem/R.java is not up to date. Try to regenerate it

#2 - 09/05/2011 08:08 PM - Frédéric Barthéléry

- Status changed from Assigned to Resolved

- Target version setto 0.1.7
#3 - 10/10/2011 10:54 AM - Frédéric Barthéléry

- Status changed from Resolved to Closed
